=== Graphics/CMakeLists.txt ===
SET(KIT Graphics)
SET(UKIT GRAPHICS)
SET(KIT_TCL_LIBS vtkFilteringTCL)
SET(KIT_PYTHON_LIBS vtkFilteringPythonD)
SET(KIT_JAVA_LIBS vtkFilteringJava)
IF(JAVA_AWT_LIBRARY)
  SET(KIT_JAVA_LIBS ${KIT_JAVA_LIBS} ${JAVA_AWT_LIBRARY})
ENDIF(JAVA_AWT_LIBRARY)
SET(KIT_INTERFACE_LIBRARIES vtkFiltering)
SET(KIT_LIBS vtkverdict )
SET( Kit_SRCS
vtkAnnotationLink.cxx
vtkAppendCompositeDataLeaves.cxx
vtkAppendFilter.cxx
vtkAppendPolyData.cxx
vtkAppendSelection.cxx
vtkApproximatingSubdivisionFilter.cxx
vtkArcSource.cxx
vtkAreaContourSpectrumFilter.cxx
vtkArrayCalculator.cxx
vtkArrowSource.cxx
vtkAssignAttribute.cxx
vtkAttributeDataToFieldDataFilter.cxx
vtkAxes.cxx
vtkBandedPolyDataContourFilter.cxx
vtkBlankStructuredGrid.cxx
vtkBlankStructuredGridWithImage.cxx
vtkBlockIdScalars.cxx
vtkBoxClipDataSet.cxx
vtkBrownianPoints.cxx
vtkButterflySubdivisionFilter.cxx
vtkButtonSource.cxx
vtkCellCenters.cxx
vtkCellDataToPointData.cxx
vtkCellDerivatives.cxx
vtkCellLocatorInterpolatedVelocityField.cxx
vtkCellQuality.cxx
vtkCleanPolyData.cxx
vtkClipClosedSurface.cxx
vtkClipConvexPolyData.cxx
vtkClipDataSet.cxx
vtkClipHyperOctree.cxx
vtkClipPolyData.cxx
vtkClipVolume.cxx
vtkCoincidentPoints.cxx
vtkCompositeDataGeometryFilter.cxx
vtkCompositeDataProbeFilter.cxx
vtkConeSource.cxx
vtkConnectivityFilter.cxx
vtkContourFilter.cxx
vtkContourGrid.cxx
vtkConvertSelection.cxx
vtkCubeSource.cxx
vtkCursor2D.cxx
vtkCursor3D.cxx
vtkCurvatures.cxx
vtkCutter.cxx
vtkCylinderSource.cxx
vtkDashedStreamLine.cxx
vtkDataObjectGenerator.cxx
vtkDataObjectToDataSetFilter.cxx
vtkDataSetEdgeSubdivisionCriterion.cxx
vtkDataSetGradient.cxx
vtkDataSetGradientPrecompute.cxx
vtkDataSetSurfaceFilter.cxx
vtkDataSetToDataObjectFilter.cxx
vtkDataSetTriangleFilter.cxx
vtkDecimatePolylineFilter.cxx
vtkDecimatePro.cxx
vtkDelaunay2D.cxx
vtkDelaunay3D.cxx
vtkDensifyPolyData.cxx
vtkDicer.cxx
vtkDijkstraGraphGeodesicPath.cxx
vtkDijkstraImageGeodesicPath.cxx
vtkDiscreteMarchingCubes.cxx
vtkDiskSource.cxx
vtkEdgePoints.cxx
vtkEdgeSubdivisionCriterion.cxx
vtkElevationFilter.cxx
vtkEllipticalButtonSource.cxx
vtkExtractArraysOverTime.cxx
vtkExtractBlock.cxx
vtkExtractCells.cxx
vtkExtractDataOverTime.cxx
vtkExtractDataSets.cxx
vtkExtractEdges.cxx
vtkExtractGeometry.cxx
vtkExtractGrid.cxx
vtkExtractLevel.cxx
vtkExtractPolyDataGeometry.cxx
vtkExtractRectilinearGrid.cxx
vtkExtractSelectedBlock.cxx
vtkExtractSelectedFrustum.cxx
vtkExtractSelectedIds.cxx
vtkExtractSelectedLocations.cxx
vtkExtractSelectedPolyDataIds.cxx
vtkExtractSelectedRows.cxx
vtkExtractSelectedThresholds.cxx
vtkExtractSelectionBase.cxx
vtkExtractSelection.cxx
vtkExtractTemporalFieldData.cxx
vtkExtractTensorComponents.cxx
vtkExtractUnstructuredGrid.cxx
vtkExtractVectorComponents.cxx
vtkFeatureEdges.cxx
vtkFieldDataToAttributeDataFilter.cxx
vtkFillHolesFilter.cxx
vtkFrustumSource.cxx
vtkGeodesicPath.cxx
vtkGeometryFilter.cxx
vtkGlyph2D.cxx
vtkGlyph3D.cxx
vtkGlyphSource2D.cxx
vtkGradientFilter.cxx
vtkGraphGeodesicPath.cxx
vtkGraphLayoutFilter.cxx
vtkGraphToPoints.cxx
vtkGraphToPolyData.cxx
vtkGridSynchronizedTemplates3D.cxx
vtkHedgeHog.cxx
vtkHierarchicalDataExtractDataSets.cxx
vtkHierarchicalDataExtractLevel.cxx
vtkHierarchicalDataLevelFilter.cxx
vtkHierarchicalDataSetGeometryFilter.cxx
vtkHull.cxx
vtkHyperOctreeClipCutPointsGrabber.cxx
vtkHyperOctreeContourFilter.cxx
vtkHyperOctreeCutter.cxx
vtkHyperOctreeDepth.cxx
vtkHyperOctreeDualGridContourFilter.cxx
vtkHyperOctreeFractalSource.cxx
vtkHyperOctreeLimiter.cxx
vtkHyperOctreeSampleFunction.cxx
vtkHyperOctreeSurfaceFilter.cxx
vtkHyperOctreeToUniformGridFilter.cxx
vtkHyperStreamline.cxx
vtkIconGlyphFilter.cxx
vtkIdFilter.cxx
vtkImageDataGeometryFilter.cxx
vtkImageMarchingCubes.cxx
vtkImplicitTextureCoords.cxx
vtkInterpolateDataSetAttributes.cxx
vtkInterpolatingSubdivisionFilter.cxx
vtkKdTreeSelector.cxx
vtkLevelIdScalars.cxx
vtkLinearExtrusionFilter.cxx
vtkLinearSubdivisionFilter.cxx
vtkLineSource.cxx
vtkLinkEdgels.cxx
vtkLoopSubdivisionFilter.cxx
vtkMarchingContourFilter.cxx
vtkMarchingCubes.cxx
vtkMarchingSquares.cxx
vtkMaskFields.cxx
vtkMaskPoints.cxx
vtkMaskPolyData.cxx
vtkMassProperties.cxx
vtkMatrixMathFilter.cxx
vtkMergeCells.cxx
vtkMergeDataObjectFilter.cxx
vtkMergeFields.cxx
vtkMergeFilter.cxx
vtkMeshQuality.cxx
vtkModelMetadata.cxx
vtkModifiedBSPTree.cxx
vtkMultiBlockDataGroupFilter.cxx
vtkMultiBlockMergeFilter.cxx
vtkMultiThreshold.cxx
vtkOBBDicer.cxx
vtkOBBTree.cxx
vtkOutlineCornerFilter.cxx
vtkOutlineCornerSource.cxx
vtkOutlineFilter.cxx
vtkOutlineSource.cxx
vtkParametricFunctionSource.cxx
vtkPlaneSource.cxx
vtkPlatonicSolidSource.cxx
vtkPointDataToCellData.cxx
vtkPointSource.cxx
vtkPolyDataConnectivityFilter.cxx
vtkPolyDataNormals.cxx
vtkPolyDataPointSampler.cxx
vtkPolyDataStreamer.cxx
vtkPolyDataToReebGraphFilter.cxx
vtkProbeFilter.cxx
vtkProbePolyhedron.cxx
vtkProbeSelectedLocations.cxx
vtkProgrammableAttributeDataFilter.cxx
vtkProgrammableDataObjectSource.cxx
vtkProgrammableFilter.cxx
vtkProgrammableGlyphFilter.cxx
vtkProgrammableSource.cxx
vtkProjectedTexture.cxx
vtkQuadraturePointInterpolator.cxx
vtkQuadraturePointsGenerator.cxx
vtkQuadratureSchemeDictionaryGenerator.cxx
vtkQuadricClustering.cxx
vtkQuadricDecimation.cxx
vtkQuantizePolyDataPoints.cxx
vtkRandomAttributeGenerator.cxx
vtkRearrangeFields.cxx
vtkRectangularButtonSource.cxx
vtkRectilinearGridClip.cxx
vtkRectilinearGridGeometryFilter.cxx
vtkRectilinearGridToTetrahedra.cxx
vtkRectilinearSynchronizedTemplates.cxx
vtkRecursiveDividingCubes.cxx
vtkReebGraphSimplificationFilter.cxx
vtkReebGraphSurfaceSkeletonFilter.cxx
vtkReebGraphVolumeSkeletonFilter.cxx
vtkReflectionFilter.cxx
vtkRegularPolygonSource.cxx
vtkReverseSense.cxx
vtkRibbonFilter.cxx
vtkRotationalExtrusionFilter.cxx
vtkRotationFilter.cxx
vtkRuledSurfaceFilter.cxx
vtkSectorSource.cxx
vtkSelectEnclosedPoints.cxx
vtkSelectionSource.cxx
vtkSelectPolyData.cxx
vtkShrinkFilter.cxx
vtkShrinkPolyData.cxx
vtkSimpleElevationFilter.cxx
vtkSliceCubes.cxx
vtkSmoothPolyDataFilter.cxx
vtkSpatialRepresentationFilter.cxx
vtkSpherePuzzleArrows.cxx
vtkSpherePuzzle.cxx
vtkSphereSource.cxx
vtkSplineFilter.cxx
vtkSplitField.cxx
vtkStreamer.cxx
vtkStreamingTessellator.cxx
vtkStreamLine.cxx
vtkStreamPoints.cxx
vtkStreamTracer.cxx
vtkStripper.cxx
vtkStructuredGridClip.cxx
vtkStructuredGridGeometryFilter.cxx
vtkStructuredGridOutlineFilter.cxx
vtkStructuredPointsGeometryFilter.cxx
vtkSubdivideTetra.cxx
vtkSubPixelPositionEdgels.cxx
vtkSuperquadricSource.cxx
vtkSynchronizedTemplates2D.cxx
vtkSynchronizedTemplates3D.cxx
vtkSynchronizedTemplatesCutter3D.cxx
vtkTableBasedClipDataSet.cxx
vtkTableToPolyData.cxx
vtkTableToStructuredGrid.cxx
vtkTemporalPathLineFilter.cxx
vtkTemporalStatistics.cxx
vtkTensorGlyph.cxx
vtkTessellatorFilter.cxx
vtkTessellatedBoxSource.cxx
vtkTextSource.cxx
vtkTexturedSphereSource.cxx
vtkTextureMapToCylinder.cxx
vtkTextureMapToPlane.cxx
vtkTextureMapToSphere.cxx
vtkThreshold.cxx
vtkThresholdPoints.cxx
vtkThresholdTextureCoords.cxx
vtkTimeSourceExample.cxx
vtkTransformCoordinateSystems.cxx
vtkTransformFilter.cxx
vtkTransformPolyDataFilter.cxx
vtkTransformTextureCoords.cxx
vtkTriangleFilter.cxx
vtkTriangularTCoords.cxx
vtkTubeFilter.cxx
vtkUncertaintyTubeFilter.cxx
vtkUnstructuredGridGeometryFilter.cxx
vtkUnstructuredGridToReebGraphFilter.cxx
vtkVectorDot.cxx
vtkVectorNorm.cxx
vtkVertexGlyphFilter.cxx
vtkVolumeContourSpectrumFilter.cxx
vtkVoxelContoursToSurfaceFilter.cxx
vtkWarpLens.cxx
vtkWarpScalar.cxx
vtkWarpTo.cxx
vtkWarpVector.cxx
vtkWindowedSincPolyDataFilter.cxx
vtkYoungsMaterialInterface.cxx
)
SET_SOURCE_FILES_PROPERTIES(
vtkApproximatingSubdivisionFilter
vtkButtonSource
vtkDicer
vtkEdgeSubdivisionCriterion.cxx 
vtkExtractSelectionBase
vtkGeodesicPath
vtkGraphGeodesicPath
vtkInterpolatingSubdivisionFilter
vtkStreamer
ABSTRACT
)

IF(VTK_USE_BOOST)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  SET(Kit_SRCS
    ${Kit_SRCS}
    vtkReebGraphToJoinSplitTreeFilter.cxx
    )
ENDIF(VTK_USE_BOOST)

# Add Matlab Engine and Matlab Mex related files.
IF(VTK_USE_MATLAB_MEX)
  INCLUDE(${MATLAB_MEX_USE_FILE})
  SET(Kit_SRCS
    ${Kit_SRCS}
    vtkMatlabMexAdapter.cxx
    vtkMatlabEngineInterface.cxx
    vtkMatlabEngineFilter.cxx
  )
  SET_SOURCE_FILES_PROPERTIES(
    vtkMatlabMexAdapter.cxx
    WRAP_EXCLUDE
  )
  SET(KIT_LIBS ${KIT_LIBS} ${MEX_LIBRARIES} ${MATLAB_ENGINE_LIBRARIES})
ENDIF(VTK_USE_MATLAB_MEX)

# Add Gnu R interface related files.
IF(VTK_USE_GNU_R)
  SET(Kit_SRCS
    ${Kit_SRCS}
    vtkRRandomTableSource.cxx
    vtkRCalculatorFilter.cxx
    vtkRInterface.cxx
    vtkRAdapter.cxx
  )
  SET_SOURCE_FILES_PROPERTIES(
    vtkRAdapter.cxx
    WRAP_EXCLUDE
  )

  SET(KIT_LIBS ${KIT_LIBS} ${R_LIBRARIES})

ENDIF(VTK_USE_GNU_R)

SET(Kit_EXTRA_SRCS)
SET(Kit_EXTRA_CMDS)
SET(Kit_TCL_EXTRA_SRCS)
SET(Kit_PYTHON_EXTRA_SRCS)
SET(KIT_TCL_DEPS)
SET(KIT_PYTHON_DEPS)
SET(KIT_JAVA_DEPS)
#-----------------------------------------------------------------------------
# Include CMake code common to all kits.
INCLUDE(${VTK_CMAKE_DIR}/KitCommonBlock.cmake)
#-----------------------------------------------------------------------------
