=== debian/changelog ===
vtk (5.8.0-13) unstable; urgency=low

  * Make sure to include VTK/QT cmake file. Closes: #656115
  * Revert back to libtiff4-dev and use libtiff-dev in d/control. Closes: #674998
  * Fix tkInt.h installation, using proper cmake magic. Closes: #674169
  * Make sure to discover init.tcl properly. Closes: #673245

 -- Mathieu Malaterre <malat@debian.org>  Wed, 30 May 2012 13:48:14 +0200

vtk (5.8.0-12) unstable; urgency=low

  * Install QT cmake export file with qt package. Closes: #656115
  * Re-activate old patch from bug #506992. Closes: #672729

 -- Mathieu Malaterre <malat@debian.org>  Wed, 16 May 2012 11:10:32 +0200

vtk (5.8.0-11) unstable; urgency=low

  * fix FTBFS with gcc 4.7

 -- Mathieu Malaterre <malat@debian.org>  Tue, 08 May 2012 13:54:51 +0200

vtk (5.8.0-10) unstable; urgency=low

  * Use my @d.o alias, remove DMUA flag
  * Move to Debian Science Team umbrella organisation
  * Fix issue with libtiff5-dev transition
  * Remove old dot hack, and generate svg output
  * Fix vtk-doc package. Closes: #610964
  * Move QT option within qt cmake file. Closes: #656115

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 May 2012 19:21:25 +0200

vtk (5.8.0-9) unstable; urgency=low

  * fix FTBFS with boost 1.49 (Closes: #667878)

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 08 Apr 2012 21:28:50 -0400

vtk (5.8.0-8) unstable; urgency=low

  * split VTKConfig.cmake into multiple parts (Closes: #584300)

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 13 Mar 2012 10:50:30 -0400

vtk (5.8.0-7) unstable; urgency=low

  * Prepare vtk for move to multi-arch (png,tiff,z,jpeg). Closes: #661676
  * Bump to Std-Vers: 3.9.3, no changes needed.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 04 Mar 2012 21:54:19 +0100

vtk (5.8.0-6) unstable; urgency=low

   [Dominique Belhachemi]
   * merged with upstream's release branch (Closes: #653805)
   * set debian/compat=9 to receive CFLAGS
   * cleanup debian/rules
   * set build dependency from libhdf5-serial-dev to libhdf5-dev

   [Mathieu Malaterre]
   * Add missing man pages (remove lintian warnings)
   * Fix needless-dependency-on-jre
 
 -- Dominique Belhachemi <domibel@debian.org>  Sun, 22 Jan 2012 18:42:09 -0500

vtk (5.8.0-5) unstable; urgency=low

  * install vtkWrapHierarchy and vtkEncodeString into /usr/bin
  * install *Java.so* into /usr/lib/jni

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 06 Dec 2011 18:59:02 -0500

vtk (5.8.0-4) unstable; urgency=low

  * upload to unstable
  * removed some java annotations and generics to fix FTBFS on kfreebsd
  * fixed tcl path

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 21 Nov 2011 20:16:02 -0500

vtk (5.8.0-3) experimental; urgency=low

  * adjust installation path for VTKTargets.cmake
  * removed unused debian/tcl-vtk.postinst
  * compiled java classes with -source 1.6
  * keep VTKConfigQt.cmake only in libvtk5-dev
  * removed usr/lib/libMapReduceMPI.so*

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 08 Nov 2011 20:12:47 -0500

vtk (5.8.0-2) experimental; urgency=low

  * build with system hdf5
  * set VTK_INSTALL_LIB_DIR:PATH=/lib/

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 15 Oct 2011 11:00:53 -0400

vtk (5.8.0-1) experimental; urgency=low

  [Mathieu Malaterre]
  * Non-maintainer upload.
  * New upstream: 5.8.0
  * Adapt to new libav. Closes: #638559
  * Remove convenient sqlite copy. Closes: #638883
    - Use lintian to hide ftgl copy

  [Alastair McKinstry]
  * Ensure python-vtk pyc files are deleted
  * shlibs for pythonCore needed

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 21:31:17 +0100
