=== debian/control ===
Source: vtk
Section: graphics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libosmesa6-dev,
 libx11-dev, libxt-dev, xvfb, x11proto-core-dev, tcl8.5-dev, tk8.5-dev, python-dev (>= 2.5.3), cmake (>= 2.6.3),
 libexpat-dev, libjpeg-dev, libpng-dev, libtiff-dev, zlib1g-dev, default-jdk,
 libboost-all-dev, mpi-default-dev, libnetcdf-dev, libmysqlclient-dev, libpq-dev, libxpm-dev,
 libavformat-dev, libavutil-dev, libavcodec-dev, libswscale-dev, libgl2ps-dev, libsqlite3-dev,
 libfreetype6-dev, ftgl-dev, libqt4-dev, python-support (>= 0.5.3), libxml2-dev, pkg-config,
 libhdf5-dev
Build-Depends-Indep: libdigest-md5-perl, doxygen-latex, graphviz, gnuplot-nox, ghostscript
XS-Python-Version: current
Uploaders: A. Maitland Bottoms <bottoms@debian.org>, Dominique Belhachemi <domibel@debian.org>,
 Mathieu Malaterre <malat@debian.org>
Standards-Version: 3.9.3
Homepage: http://www.vtk.org/
Vcs-Git: git://git.debian.org/git/collab-maint/vtk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/vtk.git;a=summary

Package: vtk-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Suggests: libvtk5-dev, vtk-examples, vtkdata
Section: doc
Description:  VTK class reference documentation
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package contains exhaustive HTML documentation for the all the
 documented VTK C++ classes.  The documentation was generated using
 doxygen and some excellent perl scripts from Sebastien Barre et. al.
 Please read the README.docs in /usr/share/doc/vtk-doc/ for details.
 The documentation is available under /usr/share/doc/vtk/html.  

Package: vtk-examples
Architecture: all
Suggests: libvtk5-dev, tcl-vtk, python-vtk, vtk-doc, python, tclsh, libqt4-dev
Section: graphics
Depends: ${misc:Depends}
Description: C++, Tcl and Python example programs/scripts for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package contains examples from the VTK source. To compile
 the C++ examples you will need to install the vtk-dev package as well.
 Some of them require the libqt4-dev package.
 .
 The Python and Tcl examples can be run with the corresponding packages
 (python-vtk, tcl-vtk).

Package: libvtk5.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvtk, libvtk32, libvtk4, libvtk4c2, libvtk4c2a, python-vtk (<< 4.4), libvtk5
Replaces: libvtk, libvtk32, libvtk4, libvtk4c2, libvtk4c2a, libvtk5
Suggests: openmpi-bin | lam-runtime, libvtk5-dev, vtk-examples, vtk-doc
Section: libs
Description: Visualization Toolkit - A high level 3D visualization library - runtime
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 VTK enables users to concentrate on their work by providing a large
 number of excellent and feature packed high level functions that do
 visualization.  The library needs OpenGL to render the graphics and
 for Linux machines Mesa is necessary. The terms/copyright can be read
 in /usr/share/doc/vtk/README and README.html.  VTK-Linux-HOWTO has
 information about using vtk, getting documentataion or help and
 instructions on building VTK.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.
 .
 To compile C++ code that uses VTK you have to install libvtk5-dev.

Package: libvtk-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Suggests: libvtk5-dev (= ${binary:Version}), vtk-examples, vtk-doc, java-virtual-machine
Section: java
Description: Visualization Toolkit - A high level 3D visualization library - java
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: libvtk5-dev
Architecture: any
Conflicts: libvtk4-dev, libvtk-dev, libvtk32-dev
Replaces: libvtk4-dev, libvtk-dev, libvtk32-dev
Depends: ${misc:Depends}, libvtk5.8 (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libx11-dev, libxt-dev, x11proto-core-dev, libc6-dev, libxss-dev, libxft-dev,
 libexpat-dev, libjpeg-dev, libpng-dev, libtiff-dev, zlib1g-dev, tcl8.5-dev, tk8.5-dev,
 libavformat-dev, libavutil-dev, libavcodec-dev, libswscale-dev, libgl2ps-dev,
 libfreetype6-dev, libxml2-dev, libpq-dev, libnetcdf-dev, libmysqlclient-dev, mpi-default-dev, libqt4-dev
Suggests: vtk-examples, vtk-doc
Section: libdevel
Description: VTK header files for building C++ code
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk5.8-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: Visualization Toolkit - A high level 3D visualization library - Qt runtime
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK GUI support for Qt4.

Package: libvtk5-qt4-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvtk5.8-qt4 (= ${binary:Version}), libvtk5-dev (= ${binary:Version})
Conflicts: libvtk5-qt3-dev
Breaks: libvtk5-qt4 (<< 5.4.2-8), libvtk5-dev (<< 5.8.0-11)
Replaces: libvtk5-qt4 (<< 5.4.2-8), libvtk5-dev (<< 5.8.0-11)
Section: libdevel
Description: Visualization Toolkit - A high level 3D visualization library - Qt devel
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK header files required to compile C++ programs
 that use VTK GUI support for Qt4.

Package: tcl-vtk
Architecture: any
Depends: libvtk5.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: vtk-examples, vtk-doc
Replaces: vtk, vtk-tcl
Section: interpreters
Description: Tcl bindings for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides the shared libraries and executable that enable one to use
 VTK from Tcl/Tk scripts. You will need Tcl/Tk and vtk installed to use
 this.

Package: python-vtk
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: vtk-examples, vtk-doc, mayavi2
XB-Python-Version: ${python:Versions}
Section: python
Description: Python bindings for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides the shared libraries that enable one to use VTK from Python
 scripts.  You will need Python and vtk installed to use this. Some useful
 information may be available in /usr/share/doc/python-vtk/.
