=== debian/watch ===
version=3
http://www.vtk.org/files/release/([\d\.]+)/vtk-([\d\.]+)\.tar\.gz
